
package at.gv.util.xsd.mis.usp_v2.mandates;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import at.gv.util.xsd.mis.usp_v2.persondata.PhysicalPersonType;
import at.gv.util.xsd.mis.usp_v2.xmldsig.SignatureType;


/**
 * <p>Java-Klasse für anonymous complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}Annotation" minOccurs="0"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}StatusInformationService" minOccurs="0"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}Representative"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}Mandator"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}Intermediary" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}Issued"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}Properties" minOccurs="0"/&gt;
 *         &lt;choice maxOccurs="unbounded"&gt;
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}SimpleMandateContent"/&gt;
 *         &lt;/choice&gt;
 *         &lt;element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="MandateID" use="required" type="{http://www.w3.org/2001/XMLSchema}string" /&gt;
 *       &lt;attribute name="MandateType" type="{http://www.w3.org/2001/XMLSchema}string" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "annotation",
    "statusInformationService",
    "representative",
    "mandator",
    "intermediary",
    "issued",
    "properties",
    "simpleMandateContent",
    "signature"
})
@XmlRootElement(name = "Mandate")
public class Mandate {

    @XmlElement(name = "Annotation")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String annotation;
    @XmlElement(name = "StatusInformationService")
    @XmlSchemaType(name = "anyURI")
    protected String statusInformationService;
    @XmlElement(name = "Representative", required = true)
    protected Representative representative;
    @XmlElement(name = "Mandator", required = true)
    protected Mandator mandator;
    @XmlElement(name = "Intermediary")
    protected List<PhysicalPersonType> intermediary;
    @XmlElement(name = "Issued", required = true)
    protected Issued issued;
    @XmlElement(name = "Properties")
    protected PropertiesType properties;
    @XmlElement(name = "SimpleMandateContent")
    protected List<SimpleMandateContentType> simpleMandateContent;
    @XmlElement(name = "Signature", namespace = "http://www.w3.org/2000/09/xmldsig#")
    protected SignatureType signature;
    @XmlAttribute(name = "MandateID", required = true)
    protected String mandateID;
    @XmlAttribute(name = "MandateType")
    protected String mandateType;

    /**
     * arbitrary annotation containing a short description
     * 				of the mandate
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAnnotation() {
        return annotation;
    }

    /**
     * Legt den Wert der annotation-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAnnotation(String value) {
        this.annotation = value;
    }

    /**
     * location to retrieve current status information
     * 			
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatusInformationService() {
        return statusInformationService;
    }

    /**
     * Legt den Wert der statusInformationService-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatusInformationService(String value) {
        this.statusInformationService = value;
    }

    /**
     * personal data defining the representative
     * 			
     * 
     * @return
     *     possible object is
     *     {@link Representative }
     *     
     */
    public Representative getRepresentative() {
        return representative;
    }

    /**
     * Legt den Wert der representative-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Representative }
     *     
     */
    public void setRepresentative(Representative value) {
        this.representative = value;
    }

    /**
     * personal data defining the mandator
     * 			
     * 
     * @return
     *     possible object is
     *     {@link Mandator }
     *     
     */
    public Mandator getMandator() {
        return mandator;
    }

    /**
     * Legt den Wert der mandator-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Mandator }
     *     
     */
    public void setMandator(Mandator value) {
        this.mandator = value;
    }

    /**
     * personal data defining the intermediary
     * 			Gets the value of the intermediary property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the intermediary property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIntermediary().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PhysicalPersonType }
     * 
     * 
     */
    public List<PhysicalPersonType> getIntermediary() {
        if (intermediary == null) {
            intermediary = new ArrayList<PhysicalPersonType>();
        }
        return this.intermediary;
    }

    /**
     * the place and the date of issuing the mandate
     * 			
     * 
     * @return
     *     possible object is
     *     {@link Issued }
     *     
     */
    public Issued getIssued() {
        return issued;
    }

    /**
     * Legt den Wert der issued-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Issued }
     *     
     */
    public void setIssued(Issued value) {
        this.issued = value;
    }

    /**
     * element contains arbitrary properties of a mandate
     * 			
     * 
     * @return
     *     possible object is
     *     {@link PropertiesType }
     *     
     */
    public PropertiesType getProperties() {
        return properties;
    }

    /**
     * Legt den Wert der properties-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link PropertiesType }
     *     
     */
    public void setProperties(PropertiesType value) {
        this.properties = value;
    }

    /**
     * Gets the value of the simpleMandateContent property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the simpleMandateContent property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSimpleMandateContent().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SimpleMandateContentType }
     * 
     * 
     */
    public List<SimpleMandateContentType> getSimpleMandateContent() {
        if (simpleMandateContent == null) {
            simpleMandateContent = new ArrayList<SimpleMandateContentType>();
        }
        return this.simpleMandateContent;
    }

    /**
     * Ruft den Wert der signature-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link SignatureType }
     *     
     */
    public SignatureType getSignature() {
        return signature;
    }

    /**
     * Legt den Wert der signature-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SignatureType }
     *     
     */
    public void setSignature(SignatureType value) {
        this.signature = value;
    }

    /**
     * Ruft den Wert der mandateID-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMandateID() {
        return mandateID;
    }

    /**
     * Legt den Wert der mandateID-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMandateID(String value) {
        this.mandateID = value;
    }

    /**
     * Ruft den Wert der mandateType-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMandateType() {
        return mandateType;
    }

    /**
     * Legt den Wert der mandateType-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMandateType(String value) {
        this.mandateType = value;
    }

}
