
package at.gv.util.xsd.mis.usp_v2.mandates;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import at.gv.util.xsd.mis.usp_v2.persondata.CorporateBodyType;
import at.gv.util.xsd.mis.usp_v2.persondata.PhysicalPersonType;


/**
 * complex type for describing the mandate using some
 * 				textual descriptions
 * 
 * <p>Java-Klasse für SimpleMandateContentType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="SimpleMandateContentType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;choice maxOccurs="unbounded"&gt;
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}ParameterisedDescription"/&gt;
 *           &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}TextualDescription"/&gt;
 *         &lt;/choice&gt;
 *         &lt;element name="References" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence maxOccurs="unbounded"&gt;
 *                   &lt;element name="MandateID"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;simpleContent&gt;
 *                         &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema&gt;token"&gt;
 *                         &lt;/extension&gt;
 *                       &lt;/simpleContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;group ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}ConstraintsGroup"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="ContentIdentifier" type="{http://www.w3.org/2001/XMLSchema}string" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SimpleMandateContentType", propOrder = {
    "parameterisedDescriptionOrTextualDescription",
    "references",
    "timeConstraint",
    "collectiveConstraint",
    "transactionLimit",
    "anyConstraints"
})
public class SimpleMandateContentType {

    @XmlElementRefs({
        @XmlElementRef(name = "TextualDescription", namespace = "http://reference.e-government.gv.at/namespace/mandates/20040701#", type = JAXBElement.class, required = false),
        @XmlElementRef(name = "ParameterisedDescription", namespace = "http://reference.e-government.gv.at/namespace/mandates/20040701#", type = JAXBElement.class, required = false)
    })
    protected List<JAXBElement<?>> parameterisedDescriptionOrTextualDescription;
    @XmlElement(name = "References")
    protected SimpleMandateContentType.References references;
    @XmlElement(name = "TimeConstraint")
    protected SimpleMandateContentType.TimeConstraint timeConstraint;
    @XmlElement(name = "CollectiveConstraint")
    protected SimpleMandateContentType.CollectiveConstraint collectiveConstraint;
    @XmlElement(name = "TransactionLimit")
    protected SimpleMandateContentType.TransactionLimit transactionLimit;
    @XmlElement(name = "AnyConstraints")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected List<String> anyConstraints;
    @XmlAttribute(name = "ContentIdentifier")
    protected String contentIdentifier;

    /**
     * Gets the value of the parameterisedDescriptionOrTextualDescription property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the parameterisedDescriptionOrTextualDescription property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getParameterisedDescriptionOrTextualDescription().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JAXBElement }{@code <}{@link String }{@code >}
     * {@link JAXBElement }{@code <}{@link ParameterisedDescriptionType }{@code >}
     * 
     * 
     */
    public List<JAXBElement<?>> getParameterisedDescriptionOrTextualDescription() {
        if (parameterisedDescriptionOrTextualDescription == null) {
            parameterisedDescriptionOrTextualDescription = new ArrayList<JAXBElement<?>>();
        }
        return this.parameterisedDescriptionOrTextualDescription;
    }

    /**
     * Ruft den Wert der references-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link SimpleMandateContentType.References }
     *     
     */
    public SimpleMandateContentType.References getReferences() {
        return references;
    }

    /**
     * Legt den Wert der references-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SimpleMandateContentType.References }
     *     
     */
    public void setReferences(SimpleMandateContentType.References value) {
        this.references = value;
    }

    /**
     * Ruft den Wert der timeConstraint-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link SimpleMandateContentType.TimeConstraint }
     *     
     */
    public SimpleMandateContentType.TimeConstraint getTimeConstraint() {
        return timeConstraint;
    }

    /**
     * Legt den Wert der timeConstraint-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SimpleMandateContentType.TimeConstraint }
     *     
     */
    public void setTimeConstraint(SimpleMandateContentType.TimeConstraint value) {
        this.timeConstraint = value;
    }

    /**
     * Ruft den Wert der collectiveConstraint-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link SimpleMandateContentType.CollectiveConstraint }
     *     
     */
    public SimpleMandateContentType.CollectiveConstraint getCollectiveConstraint() {
        return collectiveConstraint;
    }

    /**
     * Legt den Wert der collectiveConstraint-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SimpleMandateContentType.CollectiveConstraint }
     *     
     */
    public void setCollectiveConstraint(SimpleMandateContentType.CollectiveConstraint value) {
        this.collectiveConstraint = value;
    }

    /**
     * Ruft den Wert der transactionLimit-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link SimpleMandateContentType.TransactionLimit }
     *     
     */
    public SimpleMandateContentType.TransactionLimit getTransactionLimit() {
        return transactionLimit;
    }

    /**
     * Legt den Wert der transactionLimit-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SimpleMandateContentType.TransactionLimit }
     *     
     */
    public void setTransactionLimit(SimpleMandateContentType.TransactionLimit value) {
        this.transactionLimit = value;
    }

    /**
     * element contains arbitrary restrictions
     * 			Gets the value of the anyConstraints property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the anyConstraints property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAnyConstraints().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getAnyConstraints() {
        if (anyConstraints == null) {
            anyConstraints = new ArrayList<String>();
        }
        return this.anyConstraints;
    }

    /**
     * Ruft den Wert der contentIdentifier-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getContentIdentifier() {
        return contentIdentifier;
    }

    /**
     * Legt den Wert der contentIdentifier-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setContentIdentifier(String value) {
        this.contentIdentifier = value;
    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;choice maxOccurs="unbounded"&gt;
     *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}AnyConstraints"/&gt;
     *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}CorporateBody"/&gt;
     *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}PhysicalPerson"/&gt;
     *       &lt;/choice&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "anyConstraintsOrCorporateBodyOrPhysicalPerson"
    })
    public static class CollectiveConstraint {

        @XmlElementRefs({
            @XmlElementRef(name = "AnyConstraints", namespace = "http://reference.e-government.gv.at/namespace/mandates/20040701#", type = JAXBElement.class, required = false),
            @XmlElementRef(name = "CorporateBody", namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", type = JAXBElement.class, required = false),
            @XmlElementRef(name = "PhysicalPerson", namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", type = JAXBElement.class, required = false)
        })
        protected List<JAXBElement<?>> anyConstraintsOrCorporateBodyOrPhysicalPerson;

        /**
         * Gets the value of the anyConstraintsOrCorporateBodyOrPhysicalPerson property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the anyConstraintsOrCorporateBodyOrPhysicalPerson property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAnyConstraintsOrCorporateBodyOrPhysicalPerson().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link JAXBElement }{@code <}{@link CorporateBodyType }{@code >}
         * {@link JAXBElement }{@code <}{@link PhysicalPersonType }{@code >}
         * {@link JAXBElement }{@code <}{@link String }{@code >}
         * 
         * 
         */
        public List<JAXBElement<?>> getAnyConstraintsOrCorporateBodyOrPhysicalPerson() {
            if (anyConstraintsOrCorporateBodyOrPhysicalPerson == null) {
                anyConstraintsOrCorporateBodyOrPhysicalPerson = new ArrayList<JAXBElement<?>>();
            }
            return this.anyConstraintsOrCorporateBodyOrPhysicalPerson;
        }

    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence maxOccurs="unbounded"&gt;
     *         &lt;element name="MandateID"&gt;
     *           &lt;complexType&gt;
     *             &lt;simpleContent&gt;
     *               &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema&gt;token"&gt;
     *               &lt;/extension&gt;
     *             &lt;/simpleContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "mandateID"
    })
    public static class References {

        @XmlElement(name = "MandateID", required = true)
        protected List<SimpleMandateContentType.References.MandateID> mandateID;

        /**
         * Gets the value of the mandateID property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the mandateID property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getMandateID().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link SimpleMandateContentType.References.MandateID }
         * 
         * 
         */
        public List<SimpleMandateContentType.References.MandateID> getMandateID() {
            if (mandateID == null) {
                mandateID = new ArrayList<SimpleMandateContentType.References.MandateID>();
            }
            return this.mandateID;
        }


        /**
         * <p>Java-Klasse für anonymous complex type.
         * 
         * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;simpleContent&gt;
         *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema&gt;token"&gt;
         *     &lt;/extension&gt;
         *   &lt;/simpleContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "value"
        })
        public static class MandateID {

            @XmlValue
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            @XmlSchemaType(name = "token")
            protected String value;

            /**
             * Ruft den Wert der value-Eigenschaft ab.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getValue() {
                return value;
            }

            /**
             * Legt den Wert der value-Eigenschaft fest.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setValue(String value) {
                this.value = value;
            }

        }

    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}ValidFrom"/&gt;
     *         &lt;element ref="{http://reference.e-government.gv.at/namespace/mandates/20040701#}ValidTo"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "validFrom",
        "validTo"
    })
    public static class TimeConstraint {

        @XmlElement(name = "ValidFrom", required = true)
        @XmlSchemaType(name = "anySimpleType")
        protected String validFrom;
        @XmlElement(name = "ValidTo", required = true)
        @XmlSchemaType(name = "anySimpleType")
        protected String validTo;

        /**
         * element describes beginning of the validity period
         * 			
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getValidFrom() {
            return validFrom;
        }

        /**
         * Legt den Wert der validFrom-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setValidFrom(String value) {
            this.validFrom = value;
        }

        /**
         * element describes endpoint of the validity period
         * 			
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getValidTo() {
            return validTo;
        }

        /**
         * Legt den Wert der validTo-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setValidTo(String value) {
            this.validTo = value;
        }

    }


    /**
     * <p>Java-Klasse für anonymous complex type.
     * 
     * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Amount" type="{http://www.w3.org/2001/XMLSchema}float"/&gt;
     *         &lt;element name="Currency" type="{http://www.w3.org/2001/XMLSchema}token"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "amount",
        "currency"
    })
    public static class TransactionLimit {

        @XmlElement(name = "Amount")
        protected float amount;
        @XmlElement(name = "Currency", required = true, defaultValue = "EUR")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String currency;

        /**
         * Ruft den Wert der amount-Eigenschaft ab.
         * 
         */
        public float getAmount() {
            return amount;
        }

        /**
         * Legt den Wert der amount-Eigenschaft fest.
         * 
         */
        public void setAmount(float value) {
            this.amount = value;
        }

        /**
         * Ruft den Wert der currency-Eigenschaft ab.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getCurrency() {
            return currency;
        }

        /**
         * Legt den Wert der currency-Eigenschaft fest.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCurrency(String value) {
            this.currency = value;
        }

    }

}
