
package at.gv.util.xsd.mis.usp_v2.persondata;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.w3c.dom.Element;


/**
 * physical person, compare NatuerlichePersonTyp
 * 
 * <p>Java-Klasse für CompactPhysicalPersonType complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="CompactPhysicalPersonType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://reference.e-government.gv.at/namespace/persondata/20020228#}AbstractPersonType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}CompactName"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}MaritalStatus" minOccurs="0"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}Sex" minOccurs="0"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}DateOfBirth" minOccurs="0"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}PlaceOfBirth" minOccurs="0"/&gt;
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}Nationality" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;anyAttribute namespace='##other'/&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CompactPhysicalPersonType", propOrder = {
    "compactName",
    "maritalStatus",
    "sex",
    "dateOfBirth",
    "placeOfBirth",
    "nationality",
    "any"
})
public class CompactPhysicalPersonType
    extends AbstractPersonType
{

    @XmlElement(name = "CompactName")
    protected CompactPersonNameType compactName;
    @XmlElement(name = "MaritalStatus")
    @XmlSchemaType(name = "token")
    protected MaritalStatusType maritalStatus;
    @XmlElement(name = "Sex")
    @XmlSchemaType(name = "token")
    protected SexType sex;
    @XmlElement(name = "DateOfBirth")
    @XmlSchemaType(name = "anySimpleType")
    protected String dateOfBirth;
    @XmlElement(name = "PlaceOfBirth")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String placeOfBirth;
    @XmlElement(name = "Nationality")
    protected List<NationalityType> nationality;
    @XmlAnyElement(lax = true)
    protected List<Object> any;

    /**
     * data related to the person's name
     * 
     * @return
     *     possible object is
     *     {@link CompactPersonNameType }
     *     
     */
    public CompactPersonNameType getCompactName() {
        return compactName;
    }

    /**
     * Legt den Wert der compactName-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link CompactPersonNameType }
     *     
     */
    public void setCompactName(CompactPersonNameType value) {
        this.compactName = value;
    }

    /**
     * status of a person in the cycle of life, compare Familienstand
     * 
     * @return
     *     possible object is
     *     {@link MaritalStatusType }
     *     
     */
    public MaritalStatusType getMaritalStatus() {
        return maritalStatus;
    }

    /**
     * Legt den Wert der maritalStatus-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link MaritalStatusType }
     *     
     */
    public void setMaritalStatus(MaritalStatusType value) {
        this.maritalStatus = value;
    }

    /**
     * gender, comapre Geschlecht
     * 
     * @return
     *     possible object is
     *     {@link SexType }
     *     
     */
    public SexType getSex() {
        return sex;
    }

    /**
     * Legt den Wert der sex-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link SexType }
     *     
     */
    public void setSex(SexType value) {
        this.sex = value;
    }

    /**
     * date of birth, compare Geburtsdatum
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDateOfBirth() {
        return dateOfBirth;
    }

    /**
     * Legt den Wert der dateOfBirth-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDateOfBirth(String value) {
        this.dateOfBirth = value;
    }

    /**
     * place of birth, compare Geburtsort
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPlaceOfBirth() {
        return placeOfBirth;
    }

    /**
     * Legt den Wert der placeOfBirth-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPlaceOfBirth(String value) {
        this.placeOfBirth = value;
    }

    /**
     * nationality of Person, compare Staatsangehoerigkeit. attention! New Fomrat is complex, string value accepted for compatibility only Gets the value of the nationality property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the nationality property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNationality().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link NationalityType }
     * 
     * 
     */
    public List<NationalityType> getNationality() {
        if (nationality == null) {
            nationality = new ArrayList<NationalityType>();
        }
        return this.nationality;
    }

    /**
     * Gets the value of the any property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the any property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAny().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Element }
     * {@link Object }
     * 
     * 
     */
    public List<Object> getAny() {
        if (any == null) {
            any = new ArrayList<Object>();
        }
        return this.any;
    }

}
