
package at.gv.util.xsd.mzs;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import at.gv.util.xsd.mzs.persondata.AbstractAddressType;
import at.gv.util.xsd.mzs.persondata.AbstractPersonType;
import at.gv.util.xsd.mzs.persondata.CorporateBodyType;
import at.gv.util.xsd.mzs.persondata.InternetAddressType;
import at.gv.util.xsd.mzs.persondata.PersonDataType;
import at.gv.util.xsd.mzs.persondata.PhysicalPersonType;
import at.gv.util.xsd.mzs.persondata.PostalAddressType;
import at.gv.util.xsd.mzs.persondata.TelephoneAddressType;
import org.w3c.dom.Element;


/**
 * <p>Java class for DeliveryRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DeliveryRequestType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Server" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="ZUSEUrlID" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *                   &lt;element name="X509" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Sender">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;choice>
 *                     &lt;element name="ProfileID" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                     &lt;sequence>
 *                       &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}Person"/>
 *                       &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}Address" maxOccurs="unbounded" minOccurs="0"/>
 *                       &lt;choice>
 *                         &lt;element name="WebserviceURL" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *                         &lt;element name="EMailAddress" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                       &lt;/choice>
 *                     &lt;/sequence>
 *                   &lt;/choice>
 *                   &lt;sequence>
 *                     &lt;element name="SignatureKeyID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;/sequence>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element ref="{http://reference.e-government.gv.at/namespace/moazs10/app2mzs#}Receiver"/>
 *         &lt;element name="MetaData">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element ref="{http://reference.e-government.gv.at/namespace/moazs10/app2mzs#}AppDeliveryID"/>
 *                   &lt;element name="DeliveryQuality">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *                         &lt;enumeration value="RSa"/>
 *                         &lt;enumeration value="RSa+"/>
 *                         &lt;enumeration value="nonRSa"/>
 *                         &lt;enumeration value="nonRSa+"/>
 *                         &lt;enumeration value="R"/>
 *                         &lt;enumeration value="R+"/>
 *                         &lt;enumeration value="RS"/>
 *                         &lt;enumeration value="RS+"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="RequiresEncryption" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                   &lt;element name="PrivateDelivery" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *                   &lt;element name="DocumentClass" minOccurs="0">
 *                     &lt;simpleType>
 *                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
 *                         &lt;maxLength value="255"/>
 *                         &lt;minLength value="1"/>
 *                       &lt;/restriction>
 *                     &lt;/simpleType>
 *                   &lt;/element>
 *                   &lt;element name="DualDelivery" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="DualDeliveryServer" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                             &lt;element name="PrintParameter" minOccurs="0">
 *                               &lt;complexType>
 *                                 &lt;complexContent>
 *                                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                                     &lt;sequence>
 *                                       &lt;any processContents='skip' maxOccurs="unbounded" minOccurs="0"/>
 *                                     &lt;/sequence>
 *                                     &lt;attribute name="profile" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
 *                                   &lt;/restriction>
 *                                 &lt;/complexContent>
 *                               &lt;/complexType>
 *                             &lt;/element>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="MailBody" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="MimeType" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *                             &lt;element name="Content" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="XMLDocument" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="XMLContent">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;any processContents='lax'/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;choice>
 *                     &lt;element name="XMLProfileID" type="{http://www.w3.org/2001/XMLSchema}anyType"/>
 *                     &lt;sequence>
 *                       &lt;element name="FileName" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *                       &lt;element name="MIMEType" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *                       &lt;element name="ResultingMIMEType" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *                       &lt;element name="SignatureXPath">
 *                         &lt;complexType>
 *                           &lt;simpleContent>
 *                             &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
 *                               &lt;attribute name="Index" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *                             &lt;/extension>
 *                           &lt;/simpleContent>
 *                         &lt;/complexType>
 *                       &lt;/element>
 *                       &lt;element name="SignatureStylesheet">
 *                         &lt;complexType>
 *                           &lt;complexContent>
 *                             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                               &lt;sequence>
 *                                 &lt;element name="XMLContent">
 *                                   &lt;complexType>
 *                                     &lt;complexContent>
 *                                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                                         &lt;sequence>
 *                                           &lt;any processContents='lax'/>
 *                                         &lt;/sequence>
 *                                       &lt;/restriction>
 *                                     &lt;/complexContent>
 *                                   &lt;/complexType>
 *                                 &lt;/element>
 *                               &lt;/sequence>
 *                             &lt;/restriction>
 *                           &lt;/complexContent>
 *                         &lt;/complexType>
 *                       &lt;/element>
 *                       &lt;element name="PreviewStylesheet" minOccurs="0">
 *                         &lt;complexType>
 *                           &lt;complexContent>
 *                             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                               &lt;sequence>
 *                                 &lt;element name="FileName" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *                                 &lt;element name="XMLContent">
 *                                   &lt;complexType>
 *                                     &lt;complexContent>
 *                                       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                                         &lt;sequence>
 *                                           &lt;any processContents='lax'/>
 *                                         &lt;/sequence>
 *                                       &lt;/restriction>
 *                                     &lt;/complexContent>
 *                                   &lt;/complexType>
 *                                 &lt;/element>
 *                               &lt;/sequence>
 *                             &lt;/restriction>
 *                           &lt;/complexContent>
 *                         &lt;/complexType>
 *                       &lt;/element>
 *                     &lt;/sequence>
 *                   &lt;/choice>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Payload" maxOccurs="unbounded" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;choice>
 *                   &lt;element name="BinaryDocument">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="Base64Content" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
 *                             &lt;element name="FileName" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *                             &lt;element name="MIMEType" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="DocumentReference">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="URL" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
 *                             &lt;element name="FileName" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *                             &lt;element name="MIMEType" type="{http://www.w3.org/2001/XMLSchema}token"/>
 *                             &lt;element name="MD5Checksum" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/choice>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="sync" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DeliveryRequestType", propOrder = {
    "server",
    "sender",
    "receiver",
    "metaData",
    "xmlDocument",
    "payload"
})
public class DeliveryRequestType {

    @XmlElement(name = "Server")
    protected DeliveryRequestType.Server server;
    @XmlElement(name = "Sender", required = true)
    protected DeliveryRequestType.Sender sender;
    @XmlElement(name = "Receiver", required = true)
    protected PersonDataType receiver;
    @XmlElement(name = "MetaData", required = true)
    protected DeliveryRequestType.MetaData metaData;
    @XmlElement(name = "XMLDocument")
    protected DeliveryRequestType.XMLDocument xmlDocument;
    @XmlElement(name = "Payload")
    protected List<DeliveryRequestType.Payload> payload;
    @XmlAttribute
    protected Boolean sync;

    /**
     * Gets the value of the server property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryRequestType.Server }
     *     
     */
    public DeliveryRequestType.Server getServer() {
        return server;
    }

    /**
     * Sets the value of the server property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryRequestType.Server }
     *     
     */
    public void setServer(DeliveryRequestType.Server value) {
        this.server = value;
    }

    /**
     * Gets the value of the sender property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryRequestType.Sender }
     *     
     */
    public DeliveryRequestType.Sender getSender() {
        return sender;
    }

    /**
     * Sets the value of the sender property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryRequestType.Sender }
     *     
     */
    public void setSender(DeliveryRequestType.Sender value) {
        this.sender = value;
    }

    /**
     * Gets the value of the receiver property.
     * 
     * @return
     *     possible object is
     *     {@link PersonDataType }
     *     
     */
    public PersonDataType getReceiver() {
        return receiver;
    }

    /**
     * Sets the value of the receiver property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonDataType }
     *     
     */
    public void setReceiver(PersonDataType value) {
        this.receiver = value;
    }

    /**
     * Gets the value of the metaData property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryRequestType.MetaData }
     *     
     */
    public DeliveryRequestType.MetaData getMetaData() {
        return metaData;
    }

    /**
     * Sets the value of the metaData property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryRequestType.MetaData }
     *     
     */
    public void setMetaData(DeliveryRequestType.MetaData value) {
        this.metaData = value;
    }

    /**
     * Gets the value of the xmlDocument property.
     * 
     * @return
     *     possible object is
     *     {@link DeliveryRequestType.XMLDocument }
     *     
     */
    public DeliveryRequestType.XMLDocument getXMLDocument() {
        return xmlDocument;
    }

    /**
     * Sets the value of the xmlDocument property.
     * 
     * @param value
     *     allowed object is
     *     {@link DeliveryRequestType.XMLDocument }
     *     
     */
    public void setXMLDocument(DeliveryRequestType.XMLDocument value) {
        this.xmlDocument = value;
    }

    /**
     * Gets the value of the payload property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the payload property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPayload().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DeliveryRequestType.Payload }
     * 
     * 
     */
    public List<DeliveryRequestType.Payload> getPayload() {
        if (payload == null) {
            payload = new ArrayList<DeliveryRequestType.Payload>();
        }
        return this.payload;
    }

    /**
     * Gets the value of the sync property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isSync() {
        return sync;
    }

    /**
     * Sets the value of the sync property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSync(Boolean value) {
        this.sync = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element ref="{http://reference.e-government.gv.at/namespace/moazs10/app2mzs#}AppDeliveryID"/>
     *         &lt;element name="DeliveryQuality">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
     *               &lt;enumeration value="RSa"/>
     *               &lt;enumeration value="RSa+"/>
     *               &lt;enumeration value="nonRSa"/>
     *               &lt;enumeration value="nonRSa+"/>
     *               &lt;enumeration value="R"/>
     *               &lt;enumeration value="R+"/>
     *               &lt;enumeration value="RS"/>
     *               &lt;enumeration value="RS+"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="RequiresEncryption" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *         &lt;element name="PrivateDelivery" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
     *         &lt;element name="DocumentClass" minOccurs="0">
     *           &lt;simpleType>
     *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token">
     *               &lt;maxLength value="255"/>
     *               &lt;minLength value="1"/>
     *             &lt;/restriction>
     *           &lt;/simpleType>
     *         &lt;/element>
     *         &lt;element name="DualDelivery" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="DualDeliveryServer" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *                   &lt;element name="PrintParameter" minOccurs="0">
     *                     &lt;complexType>
     *                       &lt;complexContent>
     *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                           &lt;sequence>
     *                             &lt;any processContents='skip' maxOccurs="unbounded" minOccurs="0"/>
     *                           &lt;/sequence>
     *                           &lt;attribute name="profile" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
     *                         &lt;/restriction>
     *                       &lt;/complexContent>
     *                     &lt;/complexType>
     *                   &lt;/element>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="MailBody" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="MimeType" type="{http://www.w3.org/2001/XMLSchema}token"/>
     *                   &lt;element name="Content" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "appDeliveryID",
        "deliveryQuality",
        "requiresEncryption",
        "privateDelivery",
        "documentClass",
        "dualDelivery",
        "mailBody"
    })
    public static class MetaData {

        @XmlElement(name = "AppDeliveryID", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        protected String appDeliveryID;
        @XmlElement(name = "DeliveryQuality", required = true)
        protected String deliveryQuality;
        @XmlElement(name = "RequiresEncryption")
        protected boolean requiresEncryption;
        @XmlElement(name = "PrivateDelivery")
        protected Boolean privateDelivery;
        @XmlElement(name = "DocumentClass")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        protected String documentClass;
        @XmlElement(name = "DualDelivery")
        protected DeliveryRequestType.MetaData.DualDelivery dualDelivery;
        @XmlElement(name = "MailBody")
        protected DeliveryRequestType.MetaData.MailBody mailBody;

        /**
         * Gets the value of the appDeliveryID property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getAppDeliveryID() {
            return appDeliveryID;
        }

        /**
         * Sets the value of the appDeliveryID property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setAppDeliveryID(String value) {
            this.appDeliveryID = value;
        }

        /**
         * Gets the value of the deliveryQuality property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDeliveryQuality() {
            return deliveryQuality;
        }

        /**
         * Sets the value of the deliveryQuality property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDeliveryQuality(String value) {
            this.deliveryQuality = value;
        }

        /**
         * Gets the value of the requiresEncryption property.
         * 
         */
        public boolean isRequiresEncryption() {
            return requiresEncryption;
        }

        /**
         * Sets the value of the requiresEncryption property.
         * 
         */
        public void setRequiresEncryption(boolean value) {
            this.requiresEncryption = value;
        }

        /**
         * Gets the value of the privateDelivery property.
         * 
         * @return
         *     possible object is
         *     {@link Boolean }
         *     
         */
        public Boolean isPrivateDelivery() {
            return privateDelivery;
        }

        /**
         * Sets the value of the privateDelivery property.
         * 
         * @param value
         *     allowed object is
         *     {@link Boolean }
         *     
         */
        public void setPrivateDelivery(Boolean value) {
            this.privateDelivery = value;
        }

        /**
         * Gets the value of the documentClass property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDocumentClass() {
            return documentClass;
        }

        /**
         * Sets the value of the documentClass property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDocumentClass(String value) {
            this.documentClass = value;
        }

        /**
         * Gets the value of the dualDelivery property.
         * 
         * @return
         *     possible object is
         *     {@link DeliveryRequestType.MetaData.DualDelivery }
         *     
         */
        public DeliveryRequestType.MetaData.DualDelivery getDualDelivery() {
            return dualDelivery;
        }

        /**
         * Sets the value of the dualDelivery property.
         * 
         * @param value
         *     allowed object is
         *     {@link DeliveryRequestType.MetaData.DualDelivery }
         *     
         */
        public void setDualDelivery(DeliveryRequestType.MetaData.DualDelivery value) {
            this.dualDelivery = value;
        }

        /**
         * Gets the value of the mailBody property.
         * 
         * @return
         *     possible object is
         *     {@link DeliveryRequestType.MetaData.MailBody }
         *     
         */
        public DeliveryRequestType.MetaData.MailBody getMailBody() {
            return mailBody;
        }

        /**
         * Sets the value of the mailBody property.
         * 
         * @param value
         *     allowed object is
         *     {@link DeliveryRequestType.MetaData.MailBody }
         *     
         */
        public void setMailBody(DeliveryRequestType.MetaData.MailBody value) {
            this.mailBody = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="DualDeliveryServer" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
         *         &lt;element name="PrintParameter" minOccurs="0">
         *           &lt;complexType>
         *             &lt;complexContent>
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *                 &lt;sequence>
         *                   &lt;any processContents='skip' maxOccurs="unbounded" minOccurs="0"/>
         *                 &lt;/sequence>
         *                 &lt;attribute name="profile" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         *               &lt;/restriction>
         *             &lt;/complexContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "dualDeliveryServer",
            "printParameter"
        })
        public static class DualDelivery {

            @XmlElement(name = "DualDeliveryServer")
            protected String dualDeliveryServer;
            @XmlElement(name = "PrintParameter")
            protected DeliveryRequestType.MetaData.DualDelivery.PrintParameter printParameter;

            /**
             * Gets the value of the dualDeliveryServer property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getDualDeliveryServer() {
                return dualDeliveryServer;
            }

            /**
             * Sets the value of the dualDeliveryServer property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setDualDeliveryServer(String value) {
                this.dualDeliveryServer = value;
            }

            /**
             * Gets the value of the printParameter property.
             * 
             * @return
             *     possible object is
             *     {@link DeliveryRequestType.MetaData.DualDelivery.PrintParameter }
             *     
             */
            public DeliveryRequestType.MetaData.DualDelivery.PrintParameter getPrintParameter() {
                return printParameter;
            }

            /**
             * Sets the value of the printParameter property.
             * 
             * @param value
             *     allowed object is
             *     {@link DeliveryRequestType.MetaData.DualDelivery.PrintParameter }
             *     
             */
            public void setPrintParameter(DeliveryRequestType.MetaData.DualDelivery.PrintParameter value) {
                this.printParameter = value;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;complexContent>
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             *       &lt;sequence>
             *         &lt;any processContents='skip' maxOccurs="unbounded" minOccurs="0"/>
             *       &lt;/sequence>
             *       &lt;attribute name="profile" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             *     &lt;/restriction>
             *   &lt;/complexContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {
                "any"
            })
            public static class PrintParameter {

                @XmlAnyElement
                protected List<Element> any;
                @XmlAttribute
                @XmlSchemaType(name = "anyURI")
                protected String profile;

                /**
                 * Gets the value of the any property.
                 * 
                 * <p>
                 * This accessor method returns a reference to the live list,
                 * not a snapshot. Therefore any modification you make to the
                 * returned list will be present inside the JAXB object.
                 * This is why there is not a <CODE>set</CODE> method for the any property.
                 * 
                 * <p>
                 * For example, to add a new item, do as follows:
                 * <pre>
                 *    getAny().add(newItem);
                 * </pre>
                 * 
                 * 
                 * <p>
                 * Objects of the following type(s) are allowed in the list
                 * {@link Element }
                 * 
                 * 
                 */
                public List<Element> getAny() {
                    if (any == null) {
                        any = new ArrayList<Element>();
                    }
                    return this.any;
                }

                /**
                 * Gets the value of the profile property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link String }
                 *     
                 */
                public String getProfile() {
                    return profile;
                }

                /**
                 * Sets the value of the profile property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link String }
                 *     
                 */
                public void setProfile(String value) {
                    this.profile = value;
                }

            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="MimeType" type="{http://www.w3.org/2001/XMLSchema}token"/>
         *         &lt;element name="Content" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "mimeType",
            "content"
        })
        public static class MailBody {

            @XmlElement(name = "MimeType", required = true)
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            @XmlSchemaType(name = "token")
            protected String mimeType;
            @XmlElement(name = "Content", required = true)
            protected byte[] content;

            /**
             * Gets the value of the mimeType property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getMimeType() {
                return mimeType;
            }

            /**
             * Sets the value of the mimeType property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setMimeType(String value) {
                this.mimeType = value;
            }

            /**
             * Gets the value of the content property.
             * 
             * @return
             *     possible object is
             *     byte[]
             */
            public byte[] getContent() {
                return content;
            }

            /**
             * Sets the value of the content property.
             * 
             * @param value
             *     allowed object is
             *     byte[]
             */
            public void setContent(byte[] value) {
                this.content = ((byte[]) value);
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;choice>
     *         &lt;element name="BinaryDocument">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="Base64Content" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
     *                   &lt;element name="FileName" type="{http://www.w3.org/2001/XMLSchema}token"/>
     *                   &lt;element name="MIMEType" type="{http://www.w3.org/2001/XMLSchema}token"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="DocumentReference">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="URL" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
     *                   &lt;element name="FileName" type="{http://www.w3.org/2001/XMLSchema}token"/>
     *                   &lt;element name="MIMEType" type="{http://www.w3.org/2001/XMLSchema}token"/>
     *                   &lt;element name="MD5Checksum" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/choice>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "binaryDocument",
        "documentReference"
    })
    public static class Payload {

        @XmlElement(name = "BinaryDocument")
        protected DeliveryRequestType.Payload.BinaryDocument binaryDocument;
        @XmlElement(name = "DocumentReference")
        protected DeliveryRequestType.Payload.DocumentReference documentReference;

        /**
         * Gets the value of the binaryDocument property.
         * 
         * @return
         *     possible object is
         *     {@link DeliveryRequestType.Payload.BinaryDocument }
         *     
         */
        public DeliveryRequestType.Payload.BinaryDocument getBinaryDocument() {
            return binaryDocument;
        }

        /**
         * Sets the value of the binaryDocument property.
         * 
         * @param value
         *     allowed object is
         *     {@link DeliveryRequestType.Payload.BinaryDocument }
         *     
         */
        public void setBinaryDocument(DeliveryRequestType.Payload.BinaryDocument value) {
            this.binaryDocument = value;
        }

        /**
         * Gets the value of the documentReference property.
         * 
         * @return
         *     possible object is
         *     {@link DeliveryRequestType.Payload.DocumentReference }
         *     
         */
        public DeliveryRequestType.Payload.DocumentReference getDocumentReference() {
            return documentReference;
        }

        /**
         * Sets the value of the documentReference property.
         * 
         * @param value
         *     allowed object is
         *     {@link DeliveryRequestType.Payload.DocumentReference }
         *     
         */
        public void setDocumentReference(DeliveryRequestType.Payload.DocumentReference value) {
            this.documentReference = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="Base64Content" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
         *         &lt;element name="FileName" type="{http://www.w3.org/2001/XMLSchema}token"/>
         *         &lt;element name="MIMEType" type="{http://www.w3.org/2001/XMLSchema}token"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "base64Content",
            "fileName",
            "mimeType"
        })
        public static class BinaryDocument {

            @XmlElement(name = "Base64Content", required = true)
            protected byte[] base64Content;
            @XmlElement(name = "FileName", required = true)
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            @XmlSchemaType(name = "token")
            protected String fileName;
            @XmlElement(name = "MIMEType", required = true)
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            @XmlSchemaType(name = "token")
            protected String mimeType;

            /**
             * Gets the value of the base64Content property.
             * 
             * @return
             *     possible object is
             *     byte[]
             */
            public byte[] getBase64Content() {
                return base64Content;
            }

            /**
             * Sets the value of the base64Content property.
             * 
             * @param value
             *     allowed object is
             *     byte[]
             */
            public void setBase64Content(byte[] value) {
                this.base64Content = ((byte[]) value);
            }

            /**
             * Gets the value of the fileName property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getFileName() {
                return fileName;
            }

            /**
             * Sets the value of the fileName property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setFileName(String value) {
                this.fileName = value;
            }

            /**
             * Gets the value of the mimeType property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getMIMEType() {
                return mimeType;
            }

            /**
             * Sets the value of the mimeType property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setMIMEType(String value) {
                this.mimeType = value;
            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="URL" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
         *         &lt;element name="FileName" type="{http://www.w3.org/2001/XMLSchema}token"/>
         *         &lt;element name="MIMEType" type="{http://www.w3.org/2001/XMLSchema}token"/>
         *         &lt;element name="MD5Checksum" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "url",
            "fileName",
            "mimeType",
            "md5Checksum"
        })
        public static class DocumentReference {

            @XmlElement(name = "URL", required = true)
            @XmlSchemaType(name = "anyURI")
            protected String url;
            @XmlElement(name = "FileName", required = true)
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            @XmlSchemaType(name = "token")
            protected String fileName;
            @XmlElement(name = "MIMEType", required = true)
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            @XmlSchemaType(name = "token")
            protected String mimeType;
            @XmlElement(name = "MD5Checksum")
            protected String md5Checksum;

            /**
             * Gets the value of the url property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getURL() {
                return url;
            }

            /**
             * Sets the value of the url property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setURL(String value) {
                this.url = value;
            }

            /**
             * Gets the value of the fileName property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getFileName() {
                return fileName;
            }

            /**
             * Sets the value of the fileName property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setFileName(String value) {
                this.fileName = value;
            }

            /**
             * Gets the value of the mimeType property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getMIMEType() {
                return mimeType;
            }

            /**
             * Sets the value of the mimeType property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setMIMEType(String value) {
                this.mimeType = value;
            }

            /**
             * Gets the value of the md5Checksum property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getMD5Checksum() {
                return md5Checksum;
            }

            /**
             * Sets the value of the md5Checksum property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setMD5Checksum(String value) {
                this.md5Checksum = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;choice>
     *           &lt;element name="ProfileID" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *           &lt;sequence>
     *             &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}Person"/>
     *             &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/20020228#}Address" maxOccurs="unbounded" minOccurs="0"/>
     *             &lt;choice>
     *               &lt;element name="WebserviceURL" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
     *               &lt;element name="EMailAddress" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *             &lt;/choice>
     *           &lt;/sequence>
     *         &lt;/choice>
     *         &lt;sequence>
     *           &lt;element name="SignatureKeyID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;/sequence>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "profileID",
        "person",
        "address",
        "webserviceURL",
        "eMailAddress",
        "signatureKeyID"
    })
    public static class Sender {

        @XmlElement(name = "ProfileID")
        protected String profileID;
        @XmlElementRef(name = "Person", namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", type = JAXBElement.class)
        protected JAXBElement<? extends AbstractPersonType> person;
        @XmlElementRef(name = "Address", namespace = "http://reference.e-government.gv.at/namespace/persondata/20020228#", type = JAXBElement.class)
        protected List<JAXBElement<? extends AbstractAddressType>> address;
        @XmlElement(name = "WebserviceURL")
        @XmlSchemaType(name = "anyURI")
        protected String webserviceURL;
        @XmlElement(name = "EMailAddress")
        protected String eMailAddress;
        @XmlElement(name = "SignatureKeyID")
        protected String signatureKeyID;

        /**
         * Gets the value of the profileID property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getProfileID() {
            return profileID;
        }

        /**
         * Sets the value of the profileID property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setProfileID(String value) {
            this.profileID = value;
        }

        /**
         * Gets the value of the person property.
         * 
         * @return
         *     possible object is
         *     {@link JAXBElement }{@code <}{@link PhysicalPersonType }{@code >}
         *     {@link JAXBElement }{@code <}{@link AbstractPersonType }{@code >}
         *     {@link JAXBElement }{@code <}{@link CorporateBodyType }{@code >}
         *     
         */
        public JAXBElement<? extends AbstractPersonType> getPerson() {
            return person;
        }

        /**
         * Sets the value of the person property.
         * 
         * @param value
         *     allowed object is
         *     {@link JAXBElement }{@code <}{@link PhysicalPersonType }{@code >}
         *     {@link JAXBElement }{@code <}{@link AbstractPersonType }{@code >}
         *     {@link JAXBElement }{@code <}{@link CorporateBodyType }{@code >}
         *     
         */
        public void setPerson(JAXBElement<? extends AbstractPersonType> value) {
            this.person = ((JAXBElement<? extends AbstractPersonType> ) value);
        }

        /**
         * Gets the value of the address property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the address property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getAddress().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link JAXBElement }{@code <}{@link AbstractAddressType }{@code >}
         * {@link JAXBElement }{@code <}{@link PostalAddressType }{@code >}
         * {@link JAXBElement }{@code <}{@link TelephoneAddressType }{@code >}
         * {@link JAXBElement }{@code <}{@link InternetAddressType }{@code >}
         * 
         * 
         */
        public List<JAXBElement<? extends AbstractAddressType>> getAddress() {
            if (address == null) {
                address = new ArrayList<JAXBElement<? extends AbstractAddressType>>();
            }
            return this.address;
        }

        /**
         * Gets the value of the webserviceURL property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getWebserviceURL() {
            return webserviceURL;
        }

        /**
         * Sets the value of the webserviceURL property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setWebserviceURL(String value) {
            this.webserviceURL = value;
        }

        /**
         * Gets the value of the eMailAddress property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEMailAddress() {
            return eMailAddress;
        }

        /**
         * Sets the value of the eMailAddress property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEMailAddress(String value) {
            this.eMailAddress = value;
        }

        /**
         * Gets the value of the signatureKeyID property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getSignatureKeyID() {
            return signatureKeyID;
        }

        /**
         * Sets the value of the signatureKeyID property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setSignatureKeyID(String value) {
            this.signatureKeyID = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="ZUSEUrlID" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
     *         &lt;element name="X509" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "zuseUrlID",
        "x509"
    })
    public static class Server {

        @XmlElement(name = "ZUSEUrlID", required = true)
        @XmlSchemaType(name = "anyURI")
        protected String zuseUrlID;
        @XmlElement(name = "X509")
        protected byte[] x509;

        /**
         * Gets the value of the zuseUrlID property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getZUSEUrlID() {
            return zuseUrlID;
        }

        /**
         * Sets the value of the zuseUrlID property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setZUSEUrlID(String value) {
            this.zuseUrlID = value;
        }

        /**
         * Gets the value of the x509 property.
         * 
         * @return
         *     possible object is
         *     byte[]
         */
        public byte[] getX509() {
            return x509;
        }

        /**
         * Sets the value of the x509 property.
         * 
         * @param value
         *     allowed object is
         *     byte[]
         */
        public void setX509(byte[] value) {
            this.x509 = ((byte[]) value);
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="XMLContent">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;any processContents='lax'/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;choice>
     *           &lt;element name="XMLProfileID" type="{http://www.w3.org/2001/XMLSchema}anyType"/>
     *           &lt;sequence>
     *             &lt;element name="FileName" type="{http://www.w3.org/2001/XMLSchema}token"/>
     *             &lt;element name="MIMEType" type="{http://www.w3.org/2001/XMLSchema}token"/>
     *             &lt;element name="ResultingMIMEType" type="{http://www.w3.org/2001/XMLSchema}token"/>
     *             &lt;element name="SignatureXPath">
     *               &lt;complexType>
     *                 &lt;simpleContent>
     *                   &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
     *                     &lt;attribute name="Index" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
     *                   &lt;/extension>
     *                 &lt;/simpleContent>
     *               &lt;/complexType>
     *             &lt;/element>
     *             &lt;element name="SignatureStylesheet">
     *               &lt;complexType>
     *                 &lt;complexContent>
     *                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                     &lt;sequence>
     *                       &lt;element name="XMLContent">
     *                         &lt;complexType>
     *                           &lt;complexContent>
     *                             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                               &lt;sequence>
     *                                 &lt;any processContents='lax'/>
     *                               &lt;/sequence>
     *                             &lt;/restriction>
     *                           &lt;/complexContent>
     *                         &lt;/complexType>
     *                       &lt;/element>
     *                     &lt;/sequence>
     *                   &lt;/restriction>
     *                 &lt;/complexContent>
     *               &lt;/complexType>
     *             &lt;/element>
     *             &lt;element name="PreviewStylesheet" minOccurs="0">
     *               &lt;complexType>
     *                 &lt;complexContent>
     *                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                     &lt;sequence>
     *                       &lt;element name="FileName" type="{http://www.w3.org/2001/XMLSchema}token"/>
     *                       &lt;element name="XMLContent">
     *                         &lt;complexType>
     *                           &lt;complexContent>
     *                             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                               &lt;sequence>
     *                                 &lt;any processContents='lax'/>
     *                               &lt;/sequence>
     *                             &lt;/restriction>
     *                           &lt;/complexContent>
     *                         &lt;/complexType>
     *                       &lt;/element>
     *                     &lt;/sequence>
     *                   &lt;/restriction>
     *                 &lt;/complexContent>
     *               &lt;/complexType>
     *             &lt;/element>
     *           &lt;/sequence>
     *         &lt;/choice>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "xmlContent",
        "xmlProfileID",
        "fileName",
        "mimeType",
        "resultingMIMEType",
        "signatureXPath",
        "signatureStylesheet",
        "previewStylesheet"
    })
    public static class XMLDocument {

        @XmlElement(name = "XMLContent", required = true)
        protected DeliveryRequestType.XMLDocument.XMLContent xmlContent;
        @XmlElement(name = "XMLProfileID")
        protected Object xmlProfileID;
        @XmlElement(name = "FileName")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String fileName;
        @XmlElement(name = "MIMEType")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String mimeType;
        @XmlElement(name = "ResultingMIMEType")
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "token")
        protected String resultingMIMEType;
        @XmlElement(name = "SignatureXPath")
        protected DeliveryRequestType.XMLDocument.SignatureXPath signatureXPath;
        @XmlElement(name = "SignatureStylesheet")
        protected DeliveryRequestType.XMLDocument.SignatureStylesheet signatureStylesheet;
        @XmlElement(name = "PreviewStylesheet")
        protected DeliveryRequestType.XMLDocument.PreviewStylesheet previewStylesheet;

        /**
         * Gets the value of the xmlContent property.
         * 
         * @return
         *     possible object is
         *     {@link DeliveryRequestType.XMLDocument.XMLContent }
         *     
         */
        public DeliveryRequestType.XMLDocument.XMLContent getXMLContent() {
            return xmlContent;
        }

        /**
         * Sets the value of the xmlContent property.
         * 
         * @param value
         *     allowed object is
         *     {@link DeliveryRequestType.XMLDocument.XMLContent }
         *     
         */
        public void setXMLContent(DeliveryRequestType.XMLDocument.XMLContent value) {
            this.xmlContent = value;
        }

        /**
         * Gets the value of the xmlProfileID property.
         * 
         * @return
         *     possible object is
         *     {@link Object }
         *     
         */
        public Object getXMLProfileID() {
            return xmlProfileID;
        }

        /**
         * Sets the value of the xmlProfileID property.
         * 
         * @param value
         *     allowed object is
         *     {@link Object }
         *     
         */
        public void setXMLProfileID(Object value) {
            this.xmlProfileID = value;
        }

        /**
         * Gets the value of the fileName property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getFileName() {
            return fileName;
        }

        /**
         * Sets the value of the fileName property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setFileName(String value) {
            this.fileName = value;
        }

        /**
         * Gets the value of the mimeType property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getMIMEType() {
            return mimeType;
        }

        /**
         * Sets the value of the mimeType property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setMIMEType(String value) {
            this.mimeType = value;
        }

        /**
         * Gets the value of the resultingMIMEType property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getResultingMIMEType() {
            return resultingMIMEType;
        }

        /**
         * Sets the value of the resultingMIMEType property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setResultingMIMEType(String value) {
            this.resultingMIMEType = value;
        }

        /**
         * Gets the value of the signatureXPath property.
         * 
         * @return
         *     possible object is
         *     {@link DeliveryRequestType.XMLDocument.SignatureXPath }
         *     
         */
        public DeliveryRequestType.XMLDocument.SignatureXPath getSignatureXPath() {
            return signatureXPath;
        }

        /**
         * Sets the value of the signatureXPath property.
         * 
         * @param value
         *     allowed object is
         *     {@link DeliveryRequestType.XMLDocument.SignatureXPath }
         *     
         */
        public void setSignatureXPath(DeliveryRequestType.XMLDocument.SignatureXPath value) {
            this.signatureXPath = value;
        }

        /**
         * Gets the value of the signatureStylesheet property.
         * 
         * @return
         *     possible object is
         *     {@link DeliveryRequestType.XMLDocument.SignatureStylesheet }
         *     
         */
        public DeliveryRequestType.XMLDocument.SignatureStylesheet getSignatureStylesheet() {
            return signatureStylesheet;
        }

        /**
         * Sets the value of the signatureStylesheet property.
         * 
         * @param value
         *     allowed object is
         *     {@link DeliveryRequestType.XMLDocument.SignatureStylesheet }
         *     
         */
        public void setSignatureStylesheet(DeliveryRequestType.XMLDocument.SignatureStylesheet value) {
            this.signatureStylesheet = value;
        }

        /**
         * Gets the value of the previewStylesheet property.
         * 
         * @return
         *     possible object is
         *     {@link DeliveryRequestType.XMLDocument.PreviewStylesheet }
         *     
         */
        public DeliveryRequestType.XMLDocument.PreviewStylesheet getPreviewStylesheet() {
            return previewStylesheet;
        }

        /**
         * Sets the value of the previewStylesheet property.
         * 
         * @param value
         *     allowed object is
         *     {@link DeliveryRequestType.XMLDocument.PreviewStylesheet }
         *     
         */
        public void setPreviewStylesheet(DeliveryRequestType.XMLDocument.PreviewStylesheet value) {
            this.previewStylesheet = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="FileName" type="{http://www.w3.org/2001/XMLSchema}token"/>
         *         &lt;element name="XMLContent">
         *           &lt;complexType>
         *             &lt;complexContent>
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *                 &lt;sequence>
         *                   &lt;any processContents='lax'/>
         *                 &lt;/sequence>
         *               &lt;/restriction>
         *             &lt;/complexContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "fileName",
            "xmlContent"
        })
        public static class PreviewStylesheet {

            @XmlElement(name = "FileName", required = true)
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            @XmlSchemaType(name = "token")
            protected String fileName;
            @XmlElement(name = "XMLContent", required = true)
            protected DeliveryRequestType.XMLDocument.PreviewStylesheet.XMLContent xmlContent;

            /**
             * Gets the value of the fileName property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getFileName() {
                return fileName;
            }

            /**
             * Sets the value of the fileName property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setFileName(String value) {
                this.fileName = value;
            }

            /**
             * Gets the value of the xmlContent property.
             * 
             * @return
             *     possible object is
             *     {@link DeliveryRequestType.XMLDocument.PreviewStylesheet.XMLContent }
             *     
             */
            public DeliveryRequestType.XMLDocument.PreviewStylesheet.XMLContent getXMLContent() {
                return xmlContent;
            }

            /**
             * Sets the value of the xmlContent property.
             * 
             * @param value
             *     allowed object is
             *     {@link DeliveryRequestType.XMLDocument.PreviewStylesheet.XMLContent }
             *     
             */
            public void setXMLContent(DeliveryRequestType.XMLDocument.PreviewStylesheet.XMLContent value) {
                this.xmlContent = value;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;complexContent>
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             *       &lt;sequence>
             *         &lt;any processContents='lax'/>
             *       &lt;/sequence>
             *     &lt;/restriction>
             *   &lt;/complexContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {
                "any"
            })
            public static class XMLContent {

                @XmlAnyElement(lax = true)
                protected Object any;

                /**
                 * Gets the value of the any property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link Element }
                 *     {@link Object }
                 *     
                 */
                public Object getAny() {
                    return any;
                }

                /**
                 * Sets the value of the any property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link Element }
                 *     {@link Object }
                 *     
                 */
                public void setAny(Object value) {
                    this.any = value;
                }

            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="XMLContent">
         *           &lt;complexType>
         *             &lt;complexContent>
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *                 &lt;sequence>
         *                   &lt;any processContents='lax'/>
         *                 &lt;/sequence>
         *               &lt;/restriction>
         *             &lt;/complexContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "xmlContent"
        })
        public static class SignatureStylesheet {

            @XmlElement(name = "XMLContent", required = true)
            protected DeliveryRequestType.XMLDocument.SignatureStylesheet.XMLContent xmlContent;

            /**
             * Gets the value of the xmlContent property.
             * 
             * @return
             *     possible object is
             *     {@link DeliveryRequestType.XMLDocument.SignatureStylesheet.XMLContent }
             *     
             */
            public DeliveryRequestType.XMLDocument.SignatureStylesheet.XMLContent getXMLContent() {
                return xmlContent;
            }

            /**
             * Sets the value of the xmlContent property.
             * 
             * @param value
             *     allowed object is
             *     {@link DeliveryRequestType.XMLDocument.SignatureStylesheet.XMLContent }
             *     
             */
            public void setXMLContent(DeliveryRequestType.XMLDocument.SignatureStylesheet.XMLContent value) {
                this.xmlContent = value;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;complexContent>
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             *       &lt;sequence>
             *         &lt;any processContents='lax'/>
             *       &lt;/sequence>
             *     &lt;/restriction>
             *   &lt;/complexContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {
                "any"
            })
            public static class XMLContent {

                @XmlAnyElement(lax = true)
                protected Object any;

                /**
                 * Gets the value of the any property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link Element }
                 *     {@link Object }
                 *     
                 */
                public Object getAny() {
                    return any;
                }

                /**
                 * Sets the value of the any property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link Element }
                 *     {@link Object }
                 *     
                 */
                public void setAny(Object value) {
                    this.any = value;
                }

            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;simpleContent>
         *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
         *       &lt;attribute name="Index" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
         *     &lt;/extension>
         *   &lt;/simpleContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "value"
        })
        public static class SignatureXPath {

            @XmlValue
            protected String value;
            @XmlAttribute(name = "Index", required = true)
            protected BigInteger index;

            /**
             * Gets the value of the value property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getValue() {
                return value;
            }

            /**
             * Sets the value of the value property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setValue(String value) {
                this.value = value;
            }

            /**
             * Gets the value of the index property.
             * 
             * @return
             *     possible object is
             *     {@link BigInteger }
             *     
             */
            public BigInteger getIndex() {
                return index;
            }

            /**
             * Sets the value of the index property.
             * 
             * @param value
             *     allowed object is
             *     {@link BigInteger }
             *     
             */
            public void setIndex(BigInteger value) {
                this.index = value;
            }

        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;any processContents='lax'/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "any"
        })
        public static class XMLContent {

            @XmlAnyElement(lax = true)
            protected Object any;

            /**
             * Gets the value of the any property.
             * 
             * @return
             *     possible object is
             *     {@link Element }
             *     {@link Object }
             *     
             */
            public Object getAny() {
                return any;
            }

            /**
             * Sets the value of the any property.
             * 
             * @param value
             *     allowed object is
             *     {@link Element }
             *     {@link Object }
             *     
             */
            public void setAny(Object value) {
                this.any = value;
            }

        }

    }

}
